Subject: [bfcpbis] FW: [AD] 2119/8174 related question - Re: REMINDER Re: AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Thu, 3 Dec 2020 18:42:29 +0000

Hi Working Group,

As a result of replacing the reference to RFC 2119 with one to RFC 8174, which aims to reduce the ambiguity of normative language by clarifying that only UPPERCASE usage of the key words have the defined special meanings, there is a change of one occurrence of “must” to “MUST”.
Please review this change and respond with any concerns with this change within the next two weeks. If there are no concerns, we will move forward with the change.

Thanks,
Charles

From: Sandy Ginoza <[email-masked]>
Date: Thursday, December 3, 2020 at 9:53 AM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Alan Ford <[email-masked]>, Charles Eckel <[email-masked]>, "Charles Eckel (eckelcu)" <eckelcu=[email-masked]>, Christer Holmberg <[email-masked]>, Keith Drage <[email-masked]>, Roman Shpount <[email-masked]>, Joerg Ott <[email-masked]>, Gonzalo Camarillo <[email-masked]>, Mary Barnes <[email-masked]>, "[email-masked]" <[email-masked]>, C238 <[email-masked]>, RFC Editor <[email-masked]>
Subject: [AD] 2119/8174 related question - Re: REMINDER Re: AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE

Authors and ADs,

We have updated the document as described below.

*ADs, please let us know if you approve this update and the use of the keywords paragraph defined in RFC 8174.

The current files are available here:
   https://www.rfc-editor.org/authors/rfc8855.xml
   https://www.rfc-editor.org/authors/rfc8855.txt
   https://www.rfc-editor.org/authors/rfc8855.pdf
   https://www.rfc-editor.org/authors/rfc8855.html

Diffs highlighting just the change described below:
   https://www.rfc-editor.org/authors/rfc8855-lastdiff.html
   https://www.rfc-editor.org/authors/rfc8855-lastrfcdiff.html

AUTH48 diff:
   https://www.rfc-editor.org/authors/rfc8855-auth48diff.html

Comprehensive diff:
   https://www.rfc-editor.org/authors/rfc8855-diff.html

Note that the publication date and that of the cluster references will be updated closer to the date of publication.

Thanks,
RFC Editor/sg

From: "Charles Eckel (eckelcu)" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [C238] [Author Action Requested] Cluster-wide question regarding the RFC 2119/8174 keywords paragraph]
Date: November 23, 2020 at 3:05:59 PM PST
To: RFC Editor <[email-masked]<mailto:[email-masked]>>, C238 <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "John R. Levine" <[email-masked]<mailto:[email-masked]>>, Barry Leiba <[email-masked]<mailto:[email-masked]>>

For draft-ietf-bfcpbis-rfc4582bis, there is one case is which "must" is used that I believe was intended to be normative.

  Fragment Length:  This optional field is present only if the F flag
     is set and contains a 16-bit value that specifies the number of
     4-octet units contained in this fragment, excluding the COMMON-
     HEADER.  BFCP entities that receive message fragments that,
     individually or collectively, exceed the Payload Length value MUST
     discard the message.  Additionally, if the receiver is a floor
     control server, it must also send an Error message with parameter
     value 13 (Incorrect Message Length)

My vote is to change "must" to "MUST" in the second to last line, and add a period at the end of the sentence, too.
Other than that, I believe the reference to RFC 8174 matches the intent of the working group and the authors.

Cheers,
Charles

On Dec 3, 2020, at 7:55 AM, Jean Mahoney <[email-masked]<mailto:[email-masked]>> wrote:

Keith,
Just a reminder that we await word from you regarding this document's readiness for publication as an RFC.
  https://www.rfc-editor.org/authors/rfc8855.html
  https://www.rfc-editor.org/authors/rfc8855.pdf
  https://www.rfc-editor.org/authors/rfc8855.txt
  https://www.rfc-editor.org/authors/rfc8855-diff.html
Best regards,
RFC Editor/jm

On 11/5/20 4:12 PM, Jean Mahoney wrote:
Keith,
We do not believe we have heard from you regarding this document's readiness for publication.

Please let us know if any updates are needed or if the document is ready for publication.
Best regards,
RFC Editor/jm

On 10/27/20 5:02 PM, Jean Mahoney wrote:
Keith,
We do not believe we have heard from you regarding this document's readiness for publication.

Please let us know if any updates are needed or if the document is ready for publication.
Best regards,
RFC Editor/jm

On 10/6/20 10:53 AM, Jean Mahoney wrote:
Keith,
We do not believe we have heard from you regarding this document's readiness for publication.

Please let us know if any updates are needed or if the document is ready for publication.
Best regards,
RFC Editor/jm

On 9/29/20 9:37 AM, Charles Eckel (eckelcu) wrote:
The changes look good to me.

Thanks,
Charles

From: Jean Mahoney <[email-masked]><mailto:[email-masked]>
Date: Monday, September 28, 2020 at 3:39 PM
To: Charles Eckel <[email-masked]><mailto:[email-masked]>, Roman Shpount <[email-masked]><mailto:[email-masked]>, "Charles Eckel (eckelcu)" <eckelcu=[email-masked]><mailto:eckelcu=[email-masked]>
Cc: Alan Ford <[email-masked]><mailto:[email-masked]>, Joerg Ott <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>,"[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, Gonzalo Camarillo <[email-masked]><mailto:[email-masked]>, Keith Drage <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, Christer Holmberg <[email-masked]><mailto:[email-masked]>, Mary Barnes <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, RFC Editor <[email-masked]><mailto:[email-masked]>
Subject: Re: [bfcpbis] AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE

Charles,
We have moved the RFC 8445 reference to the Normative References section.
  The files have been posted here:
   https://www.rfc-editor.org/authors/rfc8855.txt
   https://www.rfc-editor.org/authors/rfc8855.pdf
   https://www.rfc-editor.org/authors/rfc8855.html
   https://www.rfc-editor.org/authors/rfc8855.xml
   https://www.rfc-editor.org/authors/rfc8855-lastdiff.html (this change)
   https://www.rfc-editor.org/authors/rfc8855-auth48diff.html (AUTH48 changes)
   https://www.rfc-editor.org/authors/rfc8855-diff.html (all changes)
Best regards,
RFC Editor/jm

On 9/28/20 5:13 PM, Charles Eckel (eckelcu) wrote:
Hi Jean,

Yes, please do.

Thanks,
Charles

From: Jean Mahoney <[email-masked]><mailto:[email-masked]>
Date: Monday, September 28, 2020 at 3:10 PM
To: Charles Eckel <[email-masked]><mailto:[email-masked]>, Roman Shpount <[email-masked]><mailto:[email-masked]>, "Charles Eckel (eckelcu)" <eckelcu=[email-masked]><mailto:eckelcu=[email-masked]>
Cc: Alan Ford <[email-masked]><mailto:[email-masked]>, Joerg Ott <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, Gonzalo Camarillo <[email-masked]><mailto:[email-masked]>, Keith Drage <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, Christer Holmberg <[email-masked]><mailto:[email-masked]>, Mary Barnes <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]><[email-masked]><mailto:[email-masked]>, RFC Editor <[email-masked]><mailto:[email-masked]>
Subject: Re: [bfcpbis] AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE

Hi Charles,
Shall I proceed with moving the reference to RFC 8445 from informative to normative?
Thanks!
RFC Editor/jm

On 9/22/20 3:26 PM, Charles Eckel (eckelcu) wrote:
Thanks Roman.
Your review and confirmation of this approach is very helpful and is much appreciated.

Cheers,
Charles

From: Roman Shpount <[email-masked]><mailto:[email-masked]>
Date: Tuesday, September 22, 2020 at 1:20 PM
To: "Charles Eckel (eckelcu)" <eckelcu=[email-masked]><mailto:eckelcu=[email-masked]>
Cc: Alan Ford <[email-masked]><mailto:[email-masked]>, Joerg Ott <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, Gonzalo Camarillo <[email-masked]><mailto:[email-masked]>, Keith Drage <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, Christer Holmberg <[email-masked]><mailto:[email-masked]>, Jean Mahoney <[email-masked]><mailto:[email-masked]>, Mary Barnes <[email-masked]><mailto:[email-masked]>, "[email-masked]"<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>, RFC Editor <[email-masked]><mailto:[email-masked]>
Subject: Re: [bfcpbis] AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE
Resent-From: <[email-masked]><mailto:[email-masked]>
Resent-To: Keith Drage <[email-masked]><mailto:[email-masked]>, Charles Eckel <[email-masked]><mailto:[email-masked]>
Resent-Date: Tuesday, September 22, 2020 at 1:20 PM

Hi Charles,

Per your request, I have reviewed this as and this looks like a correct way to proceed.

Best Regards,
_____________
Roman Shpount

On Thu, Sep 17, 2020 at 4:09 PM Charles Eckel (eckelcu) <eckelcu=[email-masked]<mailto:[email-masked]>> wrote:
Great, thanks Alan.

Cheers,
Charles

On 9/17/20, 11:27 AM, "Alan Ford" <[email-masked]<mailto:[email-masked]>> wrote:

    Charles, all,

    This seems the correct way to proceed. These are clearly normative references, and as regards 5389 vs 8489, 8445 references 5389 normatively anyway so if we changed that we would diverge from 8445.

    Best regards,
    Alan

    > On 15 Sep 2020, at 16:53, Charles Eckel (eckelcu) <eckelcu=[email-masked]<mailto:[email-masked]>> wrote:
    >
    > Thanks Christer.
    >
    > To recap, the updated proposal is to:
    >
    > 1) maintain the normative reference to RFC 5389 STUN rather than replace it with a reference to RFC 8489
    > 2) update the reference to RFC 5245 ICE to RFC 8445 ICE (this change has already been made a result of AUTH 48)
    > 3) make the informative reference to RFC 8445 ICE a normative reference to be consistent with the normative reference to RFC 5389 STUN and with the normative reference to RFC 8845 ICE in rfc4583bis.
    >
    > Christer, please confirm if I have capture this correctly.
    > Everyone else, your feedback here is greatly appreciated as well.
    >
    > Cheers,
    > Charles
    >
    > On 9/15/20, 8:13 AM, "Christer Holmberg" <christer.holmberg=[email-masked]<mailto:[email-masked]>> wrote:
    >
    >    Hi,
    >
    >    ...
    >
    >>>> 2) make the reference to RFC 5389/STUN an informative reference as is already done for RFC 5245/ICE
    >>>
    >>> My suggestion would actually be to update the ICE reference to RFC 8445. Again, that would align with other C238 cluster documents that reference ICE.
    >>
    >> [cue] Good point. This reference has already been updated to RFC 8445 as part of AUTH-48.
    >
    >    Good.
    >
    >>> And, in RFC 8445 STUN is a *normative* reference.
    >>
    >> [cue] In rfc4582bis, the reference to ICE is currently Informative, whereas the reference to STUN is Normative. I believe they should either both be Normative or both be Informative.
    >> Do you happen to know which way would be more consistent with similar references to STUN/ICE in cluster C238? In rfc4583bis, the reference to ICE is currently Normative.
    >
    >    Correct. rfc4583bis actually defines ICE procedures for BFCP, so Normative is fine.
    >
    >    4582bis contains the following sentence:
    >
    >       "In order to facilitate the initial establishment of NAT bindings, and
    >       to maintain those bindings once established, BFCP entities using an
    >       unreliable transport are RECOMMENDED to use STUN [12] Binding
    >       Indication for keep-alives, as described for ICE [17]."
    >
    >    As you can see, it is actually described in the ICE spec on how to use STUN. So, therefore I agree that both should be either Normative or Informative. And, since there is a "RECOMMENDED", I assume that means they would have to be Normative.
    >
    >    Regards,
    >
    >    Christer
    >
    >
    >
    >        On 5/21/20, 1:55 PM, "Keith Drage" <[email-masked]<mailto:[email-masked]>> wrote:
    >
    >            I do note that the normative requirement is at SHOULD strength.
    >
    >            However there are no statements that support an implementor to decide
    >            under what conditions the requirement can be ignored, or the
    >            consequences of ignoring, one or other of which should really be there.
    >
    >            The lack of that information does not help in trying to evaluate the
    >            consequences of updating the reference, versus leaving the reference as
    >            it is - note that there is a risk both ways.
    >
    >            The quick review I did, resulted in my feeling that the upgrade would be
    >            OK, but I am not an expert in that area. Certainly I think either way it
    >            should go to the WG for a quick review.
    >
    >            Keith
    >
    >            On 21/05/2020 19:09, Jean Mahoney wrote:
    >> Hi Charles,
    >>
    >> On 5/21/20 11:31 AM, Charles Eckel (eckelcu) wrote:
    >>> Hi Jean,
    >>>
    >>> I am more comfortable sticking with RFC 5389 at this point in time.
    >>
    >>
    >> Ack.
    >>
    >>
    >>> That said, I know that in another thread Christer made the point of
    >>> being consistent across the cluster in terms of referencing RFC 5389
    >>> vs. RFC 8489. If the decision is for the cluster switch to RFC 8489,
    >>> we can consider that. However, I think we would need to take it back
    >>> to the working group to see if there are any issues because I do not
    >>> believe the working group was not tracking this update and did not
    >>> anticipate its publication.
    >>
    >>
    >> FWIW, so far, the one C238 document that has updated their STUN
    >> reference to RFC 8489 has an informative ref to it, not a normative one.
    >>
    >> Thanks!
    >>
    >> RFC Editor/jm
    >>
    >>
    >>>
    >>> Cheers,
    >>> Charles
    >>>
    >>> On 5/20/20, 12:36 PM, "Jean Mahoney" <[email-masked]<mailto:[email-masked]>> wrote:
    >>>
    >>>     Authors,
    >>>
    >>>     We note that this document has a normative reference to RFC 5389
    >>> (STUN),
    >>>     which was obsoleted just recently by RFC 8489.  Do you wish to
    >>> update
    >>>     this reference to RFC 8489?
    >>>
    >>>     Thanks!
    >>>
    >>>     RFC Editor/jm
    >>>
    >>>
    >
    >        _______________________________________________
    >        bfcpbis mailing list
    >        [email-masked]<mailto:[email-masked]>
    >        https://www.ietf.org/mailman/listinfo/bfcpbis
    >
    >
    > _______________________________________________
    > bfcpbis mailing list
    > [email-masked]<mailto:[email-masked]>
    > https://www.ietf.org/mailman/listinfo/bfcpbis

_______________________________________________
bfcpbis mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bfcpbis

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Mon, 21 Dec 2020 17:57:45 +0000

Dear Working Group,

We have a couple more changes resulting from replacing the reference to RFC 2119 with one to RFC 8174, which aims to reduce the ambiguity of normative language by clarifying that only UPPERCASE usage of the key words have the defined special meanings. You previously reviewed a change of one occurrence of “must” to “MUST”. We have now added a change of two occurrences of “required” to “REQUIRED”.

Please review these changes and respond with any concerns with this change. A response indicating your approval of this change would be very welcome as well.
Due to the holidays, we will wait three weeks for responses. If there are no concerns, we will move forward with the change.

Thank you,
Charles

From: Jean Mahoney <[email-masked]>
Date: Monday, December 21, 2020 at 9:13 AM
To: Charles Eckel <[email-masked]>, "Murray S. Kucherawy" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: REMINDER Re: AUTH48 [JM]: RFC 8855 <draft-ietf-bfcpbis-rfc4582bis-16.txt> NOW AVAILABLE

Hi Charles,

We have made the changes that you have requested.  This diff shows all normative text changes:

Best regards,

RFC Editor/jm
On 12/21/20 9:48 AM, Charles Eckel (eckelcu) wrote:
I found one more loose thread with respect to rfc4582bis. We proceeded with the two week verification of the changes related to “MUST” but we did not include the changes related to “REQUIRED” at that time as the RFC editor had not been requested to make those changes.

I would like to request these changes to be made as well, and then I suppose we would need to go for one more two week last call.

Cheers,
Charles